unit Example;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, Dynareqs, Buttons, Drassist;

type
  TfmExample = class(TForm)
    btSearch: TSpeedButton;
    btConfigurate: TSpeedButton;
    DynamicRequesterAssist1: TDynamicRequesterAssist;
    DynamicRequester1: TDynamicRequester;
    btAssist: TSpeedButton;
    procedure btSearchClick(Sender: TObject);
    procedure btConfigurateClick(Sender: TObject);
    procedure btAssistClick(Sender: TObject);
  private
    { Dclarations private }
  public
    { Dclarations public }
  end;

var
  fmExample: TfmExample;

implementation

{$R *.DFM}

{ IMPORTANT NOTE : 1. If you encounter problems on first run of this example,
  ==============      double-click on DefinitionTable and TargetTable
                      properties to scan new alDynaReqs alias
                   2. Data structure used in this example can be viewed
                      in DYNAREQS.HLP's OverView item }

procedure TfmExample.btSearchClick(Sender: TObject);
Const
  SearchFormCaption = 'Customers Selection';
begin
  { UserID is usefull in multi-users context only }
  DynamicRequester1.UserID := 'Bob';
  { Run parameter is effective only with registered version }
  DynamicRequester1.Run(SearchFormCaption);  { call Search Form }
end;

procedure TfmExample.btConfigurateClick(Sender: TObject);
begin
  { call Criteria Editor }
  DynamicRequester1.SetData;
end;

procedure TfmExample.btAssistClick(Sender: TObject);
begin
  { Call Assistant }
  DynamicRequesterAssist1.Run(Self);
  { NB : properties set with Assistant will be lost here ! }
  { To reuse them, progam should save them in a stream }
end;

end.
